CVE-2012-1858

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The toStaticHTML API (aka the SafeHTML component) in Microsoft Internet Explorer 8 and 9, Communicator 2007 R2, and Lync 2010 and 2010 Attendee does not properly handle event attributes and script, which makes it easier for remote attackers to conduct cross-site scripting (XSS) attacks via a crafted HTML document, aka "HTML Sanitization Vulnerability."

References

http://www.us-cert.gov/cas/techalerts/TA12-164A.html

http://www.us-cert.gov/cas/techalerts/TA12-192A.html

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A15530

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2012/ms12-050

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2012/ms12-039

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2012/ms12-037

Details

Source: MITRE

Published: 2012-06-12

Updated: 2021-07-23

Type: CWE-200

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:microsoft:office_communicator:2007:r2:*:*:*:*:*:*

cpe:2.3:a:microsoft:lync:2010:*:x86:*:*:*:*:*

cpe:2.3:a:microsoft:lync:2010:*:x64:*:*:*:*:*

cpe:2.3:a:microsoft:lync:2010:*:attendee:*:*:*:*:*

Configuration 2

AND

OR

cpe:2.3:a:microsoft:internet_explorer:8:*:*:*:*:*:*:*

OR

cpe:2.3:o:microsoft:windows_vista:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_xp:*:sp3:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_xp:-:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:r2:itanium:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:-:sp1:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:-:sp1:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:-:*:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:r2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:*:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2003:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_2003_server:*:sp2:*:*:*:*:*:*

Configuration 3

AND

OR

cpe:2.3:a:microsoft:internet_explorer:9:*:*:*:*:*:*:*

OR

cpe:2.3:o:microsoft:windows_7:-:*:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:*:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:r2:*:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:-:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:*:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:-:sp1:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:sp1:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:-:sp1:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:sp1:x86:*:*:*:*:*

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
59913MS12-050: Vulnerabilities in SharePoint Could Allow Elevation of Privilege (2695502)NessusWindows : Microsoft Bulletins
medium
59457MS12-039: Vulnerabilities in Lync Could Allow Remote Code Execution (2707956)NessusWindows : Microsoft Bulletins
high
59455MS12-037: Cumulative Security Update for Internet Explorer (2699988)NessusWindows : Microsoft Bulletins
high